.panel.panel-default{"ng-controller" => "MarketingCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Marketing of the Produce
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:rowspan=>"2", :style=>"text-align:center;"} Crop
            / %th{:rowspan=>"2", :style=>"text-align:center;"} Output Obtained (q)  
            / %th{:rowspan=>"2", :style=>"text-align:center;"} Output Retained (q)   
            %th{:rowspan=>"2", :style=>"text-align:center;"} Output Sold (q)  
            %th{:rowspan=>"2", :style=>"text-align:center;"} Type of Market 
            %th{:rowspan=>"2", :style=>"text-align:center;"} Mode of Transport
            / %th{:rowspan=>"2", :style=>"text-align:center;"} Price Obtained (₹/q) 
        %tbody
          %tr{ "ng-repeat" => "marketing in data_list "}
            %td{:style=>"text-align:center;"} {{ marketing.crop.name }}
            / %td{:style=>"text-align:center;"} {{ marketing.output_obtained}}
            / %td{:style=>"text-align:center;"} {{ marketing.output_retained }}
            %td{:style=>"text-align:center;"} {{ marketing.output_sold}}
            %td{:style=>"text-align:center;"} {{ marketing.type_of_market }}
            %td{:style=>"text-align:center;"} {{ marketing.mode_of_transport}}
            / %td{:style=>"text-align:center;"} {{ marketing.price_obtained }}
            %td
              %a{ "ng-click" => "edit(marketing.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(marketing.id, marketing.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_marketing
            %td
              / %select{"ng-model" => "vm.crop", "ng-options" => "crop.name for crop in crops track by crop.id", "ng-change" => "getOutputObtained()", :class => "form-control", :placeholder => "Select crop"}
              /   %option{:value=>'', :selected => 'selected'} Select
              %select{"ng-model" => "vm.production_cost", "ng-options" => "production_cost.crop_list.name for production_cost in production_costs track by production_cost.id", :class => "form-control", :placeholder => "Select crop"}
                %option{:value=>'', :selected => 'selected'} Select  
            / %td
            /  = number_field :output_obtained, '', :class => "form-control", "ng-model" => "vm.output_obtained"
            / %td
            /  = number_field :output_retained, '', :class => "form-control", "ng-model" => "vm.output_retained"
            %td
              = number_field :output_sold, '', :class => "form-control", "ng-model" => "vm.output_sold"
            %td
              = select_tag :type_of_market, options_for_select(["Agent/Traders","Local/village Merchant","Regulated Market","Cooperative marketing Society","Contract marketing arrangement","Outside the State","Outside the country"]),:prompt => "Select",:class => "form-control", "ng-model" => "vm.type_of_market"
            %td
              = select_tag :mode_of_transport, options_for_select(["Head Load","Cart","Tractor","Bus","Truck","Train","Flight"]),:prompt => "Select",:class => "form-control", "ng-model" => "vm.mode_of_transport"
            /%td
            /  = number_field :price_obtained, '', :class => "form-control", "ng-model" => "vm.price_obtained"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}  

